/*!
 * @file model_entity.h
 *  Definition of the ModelEntity, that handles the Display of an atmosphere for orxonox.
 */

#ifndef _MODEL_ENTITY_H
#define _MODEL_ENTITY_H

/* INCLUDES */
#include "world_entity.h"

/* FORWARD DECLARATION */

//! A Class to handle a ModelEntity
class ModelEntity : public WorldEntity
{
 public:
  ModelEntity(const TiXmlElement* root);

  virtual ~ModelEntity();

};

#endif  /* _MODEL_ENTITY_H */



